<?php
/**
* {{COPYRIGHT_NOTICE}}
*/
class Montonio_Gateway_Block_Form extends Mage_Payment_Block_Form
{
    protected function _construct()
    {
        $this->setTemplate('montonio/gateway/form.phtml');
        parent::_construct();
    }

    public static function getLogoUrl()
    {
        $logos = array(
            'ee' => 'https://public.montonio.com/logo/financing/ee-financing.png',
            'lv' => 'https://public.montonio.com/logo/financing/lt-financing.png',
            'lt' => 'https://public.montonio.com/logo/financing/lv-financing.png',
            'en' => 'https://public.montonio.com/logo/financing/en-financing.png'
        );
        $lang = current(explode('_', Mage::app()->getLocale()->getLocaleCode()));
        return (isset($logos[$lang])) ? $logos[$lang] : $logos['en'];
    }
}
