<?php
/**
 * Montonio_Gateway
 *
 * @category   montonio
 * @package    Montonio_Gateway
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */

/**
 * @inheritdoc
 */
class Montonio_Gateway_Block_Payments_Info extends Mage_Payment_Block_Info
{
    /**
     * @inheritdoc
     */
    protected function _toHtml()
    {
        //we have virtual codes and titles , needs special attention
        return $this->getInfo()
                    ->getMethodInstance()
                    //where setCode is our magic method
                    ->setCode($this->getInfo()->getMethod())
                    ->getTitle();
    }
}
